## org.hibernate.metamodel.source.binder
Interface ManyToManyPluralAttributeElementSource

All Superinterfaces:
  PluralAttributeElementSource

All Known Implementing Classes:
  ManyToManyPluralAttributeElementSourceImpl

    public interface ManyToManyPluralAttributeElementSource

extends PluralAttributeElementSource

Method Summary
`boolean` `fetchImmediately()`
`String` `getExplicitForeignKeyName()`
`FetchMode` `getFetchMode()`
`String` `getOrderBy()`
`String` `getReferencedEntityAttributeName()`
`String` `getReferencedEntityName()`
`List<RelationalValueSource>` `getValueSources()`
`String` `getWhere()`
`boolean` `isNotFoundAnException()`
`boolean` `isUnique()`

Methods inherited from interface org.hibernate.metamodel.source.binder.PluralAttributeElementSource
`getNature`

Method Detail

### getReferencedEntityName

    String getReferencedEntityName()

### getReferencedEntityAttributeName

    String getReferencedEntityAttributeName()

### getValueSources

    List<RelationalValueSource> getValueSources()

### isNotFoundAnException

    boolean isNotFoundAnException()

### getExplicitForeignKeyName

    String getExplicitForeignKeyName()

### isUnique

    boolean isUnique()

### getOrderBy

    String getOrderBy()

### getWhere

    String getWhere()

### getFetchMode

    FetchMode getFetchMode()

### fetchImmediately

    boolean fetchImmediately()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.